$main-background-color: rgba(128,212,255, 0.5);

.line {
  height: 2em;
  min-height: 2em;
  width: 100%;
  // display option icons on hovering on top of an line
  &:hover .optionIcon {
    display: inline-block;
  }
}

.fixedHalfHeight {
  flex-grow: 0;
  flex-shrink: 0;
  flex-basis: 0.7em;
  transition: flex-basis 0.2s ease-in-out;

  &:hover {
    flex-basis: 1.3em;
  }
}

.fixedHeight {
  flex: 0 0 2em;
  //width: 100%;
  // display option icons on hovering on top of an line
  &:hover .optionIcon {
    display: inline-block;
  }
}

.fixedDoubleHeight {
  flex: 0 0 4em;
  //width: 100%;
  // display option icons on hovering on top of an line
  &:hover .optionIcon {
    display: inline-block;
  }
}

.inputButtonIcon {
  width: 3em;
  float: left;
}

.symbol {
  margin: 6.5px 0;

  .input-group {
    position: absolute;
    top: 1px;
    left: 1em;
    height: 100%;
    display: inline-flex;
    flex-wrap: nowrap;
    z-index: 2;
  }
}

.margin-small {
  margin-left: 0.2em;
}

.margin-top-small {
  margin-top: 0.75em;
}

.symbolHeight {
  flex: auto;
}

.justify-center {
  justify-content: center;
}

.columnInput {
  flex: 48%;
}
@media screen and (min-width: 500px) {
  .columnInput {
    flex-grow: 0;
    flex-basis: 48%;
  }
}
@media screen and (min-width: 800px) {
  .columnInput {
    flex-grow: 0;
    flex-basis: 32%;
  }
}

.insertButton {
  border: 0.15em solid rgb(38, 64, 64);
  text-align: center;
  margin: 0.2em;
  border-radius: 0.2em;
  display: flex;
  justify-content: center;

  .buttonLogo {
    float: left;
    height: 1.3em;
    min-width: 2em;
    margin: auto;
    flex: 1;
  }

  span {
    flex: 4;
    margin: auto;
  }
}

.padding {
  padding-left: 1em;
  padding-right: 1em;
}

.editField {
  width: 90%;

  input {
    flex: 10;
    min-width: 0;
    border: 0.15em solid rgb(38, 64, 64);
    border-radius: 0.15em;
    font-size: 100%;
  }

  div {
    flex: 1;
    min-width: 1.6em;
    margin-left: 0.2em;
    height: inherit;
  }
}

.columnText {
  flex: auto;
}

.optionContainer {
  position: absolute;
  top: 0;
  right: 1em;
  height: 100%;
  display: inline-flex;
  flex-wrap: nowrap;

  .optionIcon {
    width: 1em;
    height: 100%;
    margin-left: 0.4em;
    flex: 1;
    display: none;
  }
}

.columnEditorOptions {
  display: flex;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: center;
  align-content: center;
  margin-top: 0.8em;
}

.columnFull {
  flex-basis: 100%;
}

.columnAuto {
  flex: 1;
}

.columnAuto-6 {
  flex: 6;
}

.moveText {
  flex: auto;
  margin: auto;
  padding-bottom: 0.15em;
}

.bottomHeader {
  align-self: flex-end;
}

.loopShift {
  justify-content: flex-end !important;

  .loopWidth {
    flex-basis: calc(100% - 2em);
  }
}

.headerContainer {
  display: flex;
  flex-wrap: nowrap;
}

.floatBottom {
  flex: auto;
  align-self: flex-end;
}

.sourcecodeHeader {
  height: 1.3em;
}

.struktoOptions1 {
  display: flex !important;
  height: 2em;
  flex: auto;
  justify-content: flex-end;
}

.struktoOptions2 {
  display: none !important;
  height: 2em;
  padding-top: 0.3em;
}

@media screen and (min-width: 1200px) {
  .struktoOptions1 {
    display: none !important;
  }

  .struktoOptions2 {
    display: flex !important;
  }
}

.struktoOption {
  width: 2em;
  margin-right: 0.5em;
}

.disableIcon {
  background-color: rgba(250,250,250,0.75);
}

.caseOptionsIcons {
  height: 1.25em;
  flex-basis: 3em;
}

.dtItem {
  margin: 0.5em 0;
  flex-basis: 60%;
}

.ddItem {
  margin: 0.5em 0;
  flex-basis: 40%;

  .shortenOnMobile {
    flex-basis: 3em;
  }
  @media screen and (max-width: 450px) {
    .shortenOnMobile {
      flex-basis: 1.25em;

      &:before {
        content: attr(data-abbr);
      }

      > span {
        display: none;
      }
    }
  }
}

.func-header-text-div {
  border: solid 1px transparent;
  cursor: pointer;
}

.func-header-text-div:hover {
  border: solid 1px #d3d3d3;
  cursor: pointer;
}

.func-header-input {
  border-radius: 0.15em;
  border: 0.15em solid #264040;
  font-size: 100%;
}